---
title: get-a-specific-job-run-attempt
product: vercel
url: /docs/rest-api/sdk/vercel-ci/get-a-specific-job-run-attempt
canonical_url: "https://vercel.com/docs/rest-api/sdk/vercel-ci/get-a-specific-job-run-attempt"
last_updated: 2026-09-25
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-a-specific-job-run-attempt on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get a specific job run attempt

```http
GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs/{runAttempt}
```

Get Job Run

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `invocationId` | string | Yes |  |
| `attempt` | string | Yes |  |
| `jobDefinitionId` | string | Yes |  |
| `runAttempt` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.vercelCi.getVercelCiJobRun({
    invocationId: "<id>",
    attempt: "<value>",
    jobDefinitionId: "<id>",
    runAttempt: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "jobRun": {
    "invocationId": "example_id",
    "invocationAttempt": "123",
    "jobDefinitionId": "example_id",
    "attempt": "123",
    "createdAt": "123",
    "started": {
      "startedAt": "123"
    },
    "completed": {
      "completedAt": "123",
      "conclusion": {}
    }
  }
}
```

## Responses

### 200: Successfully fetched the job run.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "jobRun"
  ],
  "properties": {
    "jobRun": {
      "type": "object",
      "required": [
        "invocationId",
        "invocationAttempt",
        "jobDefinitionId",
        "attempt",
        "createdAt"
      ],
      "properties": {
        "invocationId": {
          "type": "string"
        },
        "invocationAttempt": {
          "type": "number"
        },
        "jobDefinitionId": {
          "type": "string"
        },
        "attempt": {
          "type": "number"
        },
        "createdAt": {
          "type": "number"
        },
        "started": {
          "type": "object",
          "required": [
            "startedAt"
          ],
          "properties": {
            "startedAt": {
              "type": "number"
            }
          }
        },
        "completed": {
          "type": "object",
          "required": [
            "completedAt",
            "conclusion"
          ],
          "properties": {
            "completedAt": {
              "type": "number"
            },
            "conclusion": {}
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 403: You do not have permission to access this resource.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 404: No description

### 410: No description

### 429: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "name",
        "message",
        "limit"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        }
      }
    }
  }
}
```

### 500: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

---

## Related

- [vercel-ci endpoints](/docs/rest-api#vercel-ci)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
